/****************************************************************************
**
** Copyright (C) 2005-2008 Trolltech ASA. All rights reserved.
**
** This file is part of the $MODULE$ of the Qt Toolkit.
**
** ** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.examples.tutorial;

import com.trolltech.qt.gui.*;

//! [0]
public class Quit
{
    public static void main(String args[])
    {
        QApplication.initialize(args);

//! [1]
        QPushButton quit = new QPushButton("Quit");
//! [1] //! [2]
        quit.resize(80, 40);
//! [2] //! [3]
        quit.setFont(new QFont("Times", 18, QFont.Weight.Bold.value()));
//! [3]

//! [4]
        quit.clicked.connect(QApplication.instance(), "quit()");
//! [4]

        quit.setWindowTitle("Calling It Quits");
        quit.show();
        QApplication.exec();
    }
}
//! [0]
